<?php
/**
 * Sidebar settings.
 */

$wp_customize->add_section(
	'hot_news_sidebar_option',
	array(
		'title' => esc_html__( 'Sidebar Options', 'hot-news' ),
		'panel' => 'hot_news_theme_options_panel',
	)
);

// Sidebar Option - Global Sidebar Position.
$wp_customize->add_setting(
	'hot_news_sidebar_position',
	array(
		'sanitize_callback' => 'hot_news_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'hot_news_sidebar_position',
	array(
		'label'   => esc_html__( 'Global Sidebar Position', 'hot-news' ),
		'section' => 'hot_news_sidebar_option',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'hot-news' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'hot-news' ),
		),
	)
);

// Sidebar Option - Post Sidebar Position.
$wp_customize->add_setting(
	'hot_news_post_sidebar_position',
	array(
		'sanitize_callback' => 'hot_news_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'hot_news_post_sidebar_position',
	array(
		'label'   => esc_html__( 'Post Sidebar Position', 'hot-news' ),
		'section' => 'hot_news_sidebar_option',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'hot-news' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'hot-news' ),
		),
	)
);

// Sidebar Option - Page Sidebar Position.
$wp_customize->add_setting(
	'hot_news_page_sidebar_position',
	array(
		'sanitize_callback' => 'hot_news_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'hot_news_page_sidebar_position',
	array(
		'label'   => esc_html__( 'Page Sidebar Position', 'hot-news' ),
		'section' => 'hot_news_sidebar_option',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'hot-news' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'hot-news' ),
		),
	)
);
